Bug 1009874 - [abrt] xfwm4-4.10.1-1.fc19: __strcmp_sse42: Process /usr/bin/xfwm4 was killed by signal 11 (SIGSEGV)
[abrt] xfwm4-4.10.1-1.fc19: __strcmp_sse42: Process /usr/bin/xfwm4 was killed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfwm4 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:51fb43ed220875906342208dbe9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 07:45 EDT by Cristian Ciupitu
Modified: 2015-06-29 20:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:42:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.34 KB, text/plain)
2013-09-19 07:45 EDT, Cristian Ciupitu
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-19 07:45 EDT, Cristian Ciupitu
no flags Details
File: core_backtrace (5.86 KB, text/plain)
2013-09-19 07:45 EDT, Cristian Ciupitu
no flags Details
File: dso_list (8.38 KB, text/plain)
2013-09-19 07:46 EDT, Cristian Ciupitu
no flags Details
File: environ (1.65 KB, text/plain)
2013-09-19 07:46 EDT, Cristian Ciupitu
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-19 07:46 EDT, Cristian Ciupitu
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-19 07:46 EDT, Cristian Ciupitu
no flags Details
File: maps (44.59 KB, text/plain)
2013-09-19 07:46 EDT, Cristian Ciupitu
no flags Details
File: open_fds (496 bytes, text/plain)
2013-09-19 07:46 EDT, Cristian Ciupitu
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-09-19 07:46 EDT, Cristian Ciupitu
no flags Details
File: var_log_messages (380 bytes, text/plain)
2013-09-19 07:46 EDT, Cristian Ciupitu
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 10365 None None None Never

  None (edit)
Description Cristian Ciupitu 2013-09-19 07:45:50 EDT
Version-Release number of selected component:
xfwm4-4.10.1-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        xfwm4 --display :0.0 --sm-client-id 21434d81f-b1b6-4884-9354-5dc8c765f699
crash_function: __strcmp_sse42
executable:     /usr/bin/xfwm4
kernel:         3.10.11-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 __strcmp_sse42 at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:164
 #1 clientTerminate at client.c:2582
 #2 terminateProcessIO at terminate.c:82
 #7 gtk_main at gtkmain.c:1257

Potential duplicate: bug 1002234
Comment 1 Cristian Ciupitu 2013-09-19 07:45:54 EDT
Created attachment 799879 [details]
File: backtrace
Comment 2 Cristian Ciupitu 2013-09-19 07:45:57 EDT
Created attachment 799880 [details]
File: cgroup
Comment 3 Cristian Ciupitu 2013-09-19 07:45:59 EDT
Created attachment 799881 [details]
File: core_backtrace
Comment 4 Cristian Ciupitu 2013-09-19 07:46:02 EDT
Created attachment 799882 [details]
File: dso_list
Comment 5 Cristian Ciupitu 2013-09-19 07:46:05 EDT
Created attachment 799883 [details]
File: environ
Comment 6 Cristian Ciupitu 2013-09-19 07:46:08 EDT
Created attachment 799884 [details]
File: exploitable
Comment 7 Cristian Ciupitu 2013-09-19 07:46:12 EDT
Created attachment 799885 [details]
File: limits
Comment 8 Cristian Ciupitu 2013-09-19 07:46:15 EDT
Created attachment 799886 [details]
File: maps
Comment 9 Cristian Ciupitu 2013-09-19 07:46:18 EDT
Created attachment 799887 [details]
File: open_fds
Comment 10 Cristian Ciupitu 2013-09-19 07:46:21 EDT
Created attachment 799888 [details]
File: proc_pid_status
Comment 11 Cristian Ciupitu 2013-09-19 07:46:24 EDT
Created attachment 799889 [details]
File: var_log_messages
Comment 12 Kevin Fenzi 2013-09-19 11:56:57 EDT
What were you doing when this happened? 

Can you duplicate it?
Comment 13 Cristian Ciupitu 2013-09-19 14:22:33 EDT
I tried to close the Midori browser which was not responding (probably because of Flash). In the end xfwm crashed and Midori kept running.

I tried again a couple of minutes later and the same thing happened.
Comment 14 Cristian Ciupitu 2013-09-19 15:30:24 EDT
I started gdb on a running xfwm4 process and it gave me this which seems similar to the backtrace computed by ABRT:

Thread 1 (Thread 0x7f55f7990a40 (LWP 4440)):
#0  0x0000003455aeb750 in __poll_nocancel () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x0000003457e480f4 in g_main_context_poll (priority=2147483647, n_fds=4, fds=0x2028040, timeout=-1, context=0x1eb0cb0) at gmain.c:3995
        poll_func = 0x3457e56d50 <g_poll>
#2  g_main_context_iterate (context=0x1eb0cb0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
        max_priority = 2147483647
        timeout = -1
        some_ready = <optimized out>
        nfds = 4
        allocated_nfds = 4
        fds = 0x2028040
#3  0x0000003457e4855a in g_main_loop_run (loop=0x2027fb0) at gmain.c:3895
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x0000003cef33fdb7 in IA__gtk_main () at gtkmain.c:1257
        tmp_list = 0x0
        functions = 0x0
        init = <optimized out>
        loop = 0x2027fb0
#5  0x000000000040b6c9 in main (argc=1, argv=0x7fff68a4a8a8) at main.c:627
        daemon_mode = 0
        version = 0
        replace_wm = 0
        context = <optimized out>
        error = 0x0
        option_entries = {{long_name = 0x43ff31 "daemon", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff68a4a68c, description = 0x43ff38 "Fork to the background", arg_description = 0x0}, {long_name = 0x43ff4f "compositor", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_CALLBACK, arg_data = 0x423040 <compositor_callback>, description = 0x43ff5a "Set the compositor mode", arg_description = 0x43ff72 "on|off|auto"}, {long_name = 0x43ff7e "replace", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff68a4a694, description = 0x43fbd8 "Replace the existing window manager", arg_description = 0x0}, {long_name = 0x43ff86 "version", short_name = 86 'V', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff68a4a690, description = 0x43fc00 "Print version information and exit", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
Continuing.
Detaching after fork from child process 4940.

Program received signal SIGSEGV, Segmentation fault.
__strcmp_sse42 () at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:164
164		movdqu	(%rdi), %xmm1

Thread 1 (Thread 0x7f55f7990a40 (LWP 4440)):
#0  __strcmp_sse42 () at ../sysdeps/x86_64/multiarch/strcmp-sse42.S:164
No locals.
#1  0x000000000040e2fa in clientTerminate (c=0x201b080) at client.c:2582
        screen_info = <optimized out>
        display_info = <optimized out>
        __PRETTY_FUNCTION__ = "clientTerminate"
#2  0x0000000000437ee0 in terminateProcessIO (channel=<optimized out>, condition=<optimized out>, data=0x201b080) at terminate.c:82
        c = 0x201b080
        str = 0x2032b80 "YES=0x4200004\n"
        len = 14
        err = 0x0
        __PRETTY_FUNCTION__ = "terminateProcessIO"
#3  0x0000003457e47e06 in g_main_dispatch (context=0x1eb0cb0) at gmain.c:3054
        dispatch = 0x3457e87c10 <g_io_unix_dispatch>
        was_in_call = 0
        user_data = 0x201b080
        callback = 0x437df0 <terminateProcessIO>
        cb_funcs = 0x345812a900 <g_source_callback_funcs>
        cb_data = 0x202b320
        need_destroy = <optimized out>
        current_source_link = {data = 0x2028bc0, next = 0x0}
        source = 0x2028bc0
        current = 0x1ef55b0
        i = 0
#4  g_main_context_dispatch (context=context@entry=0x1eb0cb0) at gmain.c:3630
No locals.
#5  0x0000003457e48158 in g_main_context_iterate (context=0x1eb0cb0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
        max_priority = 2147483647
        timeout = -1
        some_ready = 1
        nfds = <optimized out>
        allocated_nfds = 5
        fds = 0x2028040
#6  0x0000003457e4855a in g_main_loop_run (loop=0x2027fb0) at gmain.c:3895
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#7  0x0000003cef33fdb7 in IA__gtk_main () at gtkmain.c:1257
        tmp_list = 0x0
        functions = 0x0
        init = <optimized out>
        loop = 0x2027fb0
#8  0x000000000040b6c9 in main (argc=1, argv=0x7fff68a4a8a8) at main.c:627
        daemon_mode = 0
        version = 0
        replace_wm = 0
        context = <optimized out>
        error = 0x0
        option_entries = {{long_name = 0x43ff31 "daemon", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff68a4a68c, description = 0x43ff38 "Fork to the background", arg_description = 0x0}, {long_name = 0x43ff4f "compositor", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_CALLBACK, arg_data = 0x423040 <compositor_callback>, description = 0x43ff5a "Set the compositor mode", arg_description = 0x43ff72 "on|off|auto"}, {long_name = 0x43ff7e "replace", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff68a4a694, description = 0x43fbd8 "Replace the existing window manager", arg_description = 0x0}, {long_name = 0x43ff86 "version", short_name = 86 'V', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff68a4a690, description = 0x43fc00 "Print version information and exit", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
Comment 15 Kevin Fenzi 2013-09-21 16:43:47 EDT
ok, nothing obviously is leaping out at me there. 

Would you be willing to file this upstream at bugzilla.xfce.org? Or would you like me to do so?
Comment 16 Fedora End Of Life 2015-01-09 17:18:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Cristian Ciupitu 2015-01-10 08:58:57 EST
It's still happening with xfwm4-4.10.1-2.fc20.x86_64.
Comment 18 Fedora End Of Life 2015-05-29 05:25:24 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-06-29 20:42:25 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.